Name:           apr-api-docs
Version:        1.3.9
Release:        1%{?dist}
Summary:        Apache Portable Runtime API documentation

Group:          Development/Tools
License:        ASL 2.0
URL:            http://apr.apache.org/
Source0:        http://svn.apache.org/repos/asf/apr/apr/tags/%{version}/docs/doxygen.conf
Source1:        http://svn.apache.org/repos/asf/apr/apr/tags/%{version}/LICENSE.APR
Source2:        http://svn.apache.org/repos/asf/apr/apr-util/tags/%{version}/LICENSE.APU
Patch0:         apr-api-docs-doxygen.patch
BuildRequires:  apr-devel = %{version}, apr-util-devel, doxygen
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
The mission of the Apache Portable Runtime (APR) is to provide a free library
of C data structures and routines, forming a system portability layer to as
many operating systems as possible, including Unices, MS Win32, BeOS and OS/2.
This package provides APR and APR-util API documentation for developers.

%prep
rm -rf %{name}-%{version}
mkdir -p %{name}-%{version}
cd %{name}-%{version}
cp %{SOURCE0} doxygen.conf
%patch0 -p0 -b .doxygen-apu

%build
cd %{name}-%{version}
sed -e 's,\(INPUT *= *\).*$,\1%{_includedir}/apr-1,' \
    -e 's,\(OUTPUT_DIRECTORY *= *\).*$,\1docs,' \
    -e 's,\(GENERATE_TAGFILE *= *\).*$,\1docs/apr.tag,' \
doxygen.conf | doxygen -
sed -i -e 's,^\[<a class="el" href="group___a_p_r.html">Apache Portability Runtime library</a>\],&'\
'<br><strong><font color="red">'\
'WARNING: The actual values of macros and typedefs<br>'\
'are platform specific and should NOT be relied upon!'\
'</font></strong>,' docs/html/group__apr__platform.html

%install
cd %{name}-%{version}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/apr-%{version}/api-docs/search
install -m 644 docs/apr.tag $RPM_BUILD_ROOT%{_docdir}/apr-%{version}/api-docs
install -m 644 docs/html/search/* $RPM_BUILD_ROOT%{_docdir}/apr-%{version}/api-docs/search
install -m 644 `find docs/html -type f -maxdepth 1` $RPM_BUILD_ROOT%{_docdir}/apr-%{version}/api-docs
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_docdir}/apr-%{version}/api-docs
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_docdir}/apr-%{version}/api-docs

%clean
rm -rf %{name}-%{version}
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc %dir %{_docdir}/apr-%{version}
%doc %dir %{_docdir}/apr-%{version}/api-docs
%doc %{_docdir}/apr-%{version}/api-docs/*

%changelog
* Mon Sep 28 2009 Bojan Smojver <bojan@rexursive.com> 1.3.9-1
- Bump up to 1.3.9

* Tue Sep  3 2009 Bojan Smojver <bojan@rexursive.com> 1.3.8-1
- Bump up to 1.3.8
- Add search

* Tue Jul 28 2009 Bojan Smojver <bojan@rexursive.com> 1.3.7-1
- Bump up to 1.3.7

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Bojan Smojver <bojan@rexursive.com> 1.3.6-1
- Bump up to 1.3.6

* Tue Jun 16 2009 Bojan Smojver <bojan@rexursive.com> 1.3.5-2
- Bump up to 1.3.5

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep  5 2008 Bojan Smojver <bojan@rexursive.com> 1.3.3-1
- Bump up to 1.3.3

* Fri Jul 04 2008 Bojan Smojver <bojan@rexursive.com> 1.3.2-2
- %%{_arch} is set to noarch, cannot use that, include all headers

* Wed Jul 02 2008 Bojan Smojver <bojan@rexursive.com> 1.3.2-1
- Bump up to 1.3.2

* Wed Jun 11 2008 Bojan Smojver <bojan@rexursive.com> 1.3.0-1
- Align with latest apr/apr-util

* Wed Nov 28 2007 Bojan Smojver <bojan@rexursive.com> 1.2.12-1
- Align with latest apr/apr-util

* Tue Sep 11 2007 Bojan Smojver <bojan@rexursive.com> 1.2.11-1
- Align with latest apr/apr-util

* Wed Aug 22 2007 Bojan Smojver <bojan@rexursive.com> 1.2.9-3
- Fix license

* Mon Aug 20 2007 Bojan Smojver <bojan@rexursive.com> 1.2.9-2
- add APU macros to PREDEFINED list

* Fri Jul 20 2007 Bojan Smojver <bojan@rexursive.com> 1.2.9-1
- bump up to 1.2.9

* Thu Jul 19 2007 Bojan Smojver <bojan@rexursive.com> 1.2.8-4
- introduce warning about platform specific macros and typedefs
- pick up APU docs too

* Tue Jun 26 2007 Bojan Smojver <bojan@rexursive.com> 1.2.8-3
- make the package noarch, as suggested by Joe Orton
- pick the docs for the arch we're built on

* Fri Jun 22 2007 Bojan Smojver <bojan@rexursive.com> 1.2.8-2
- fixes for issues noted in package review

* Fri Jun  8 2007 Bojan Smojver <bojan@rexursive.com> 1.2.8-1
- initial package
